
TYPO3.TypoScript - Bug # 52923

Status: Resolved Priority: Should have
Author: Dominique Feyer Category:
Created: 2013-10-17 Assigned To: Dominique Feyer
Updated: 2013-10-30 Due date:
Subject: The CaseImplementation does not support TypoScript debug mode correctly
Description

$renderedMatcher !== self::MATCH_NORESULT is always FALSE when using TypoScript debug mode something like if
(strpos($renderedMatcher, self::MATCH_NORESULT) === FALSE) should work

Associated revisions
Revision 405dd1c3 - 2013-10-30 11:58 - Christopher Hlubek

[BUGFIX] Support debug mode for CaseImplementation

The Case object did not match result correctly in debug mode, since the
rendered output of a matcher is annotated with debug comments and does
not equal the MATCH_NORESULT constant.

This change strips these comments from the rendered output if the debug
mode is enabled before comparing the strings.

To test the behavior a setter for the debug mode was introduced to the
TypoScript Runtime and an option was added to the TypoScriptView.

Change-Id: Ic0d24ddfb35a62a49f4e1d959a4dbe892c260d14
Fixes: #52923
Reviewed-on: https://review.typo3.org/24955
Tested-by: Mr. Hudson
Reviewed-by: Dominique Feyer
Tested-by: Dominique Feyer
Reviewed-by: Christopher Hlubek
Tested-by: Christopher Hlubek
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst

History
#1 - 2013-10-17 16:22 - Dominique Feyer
- Project changed from TYPO3.Neos to TYPO3.TypoScript

#2 - 2013-10-22 11:15 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24955
#3 - 2013-10-22 11:23 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24955

#4 - 2013-10-30 12:35 - Christopher Hlubek
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:405dd1c3cb50c0dc46526cdc3f1b0b24388b0fd7.
